Subject: Chemistry Conference

From: [email-masked] (Lisa Griffin)
Date: Fri, 28 Jun 1996 12:22:33 -0400 (EDT)

3rd Annual RANDOM & RATIONAL Drug Discovery Via
Combinatorial Chemistry & Structure-Based Design

This year's groundbreaking meeting for the first time features the
presentation of integrated combinatorial and structure-based methods of
drug discovery.  The increasing convergence of these techniques may herald
a new leap in efficiency as they are combined to more quickly generate and
optimize lead compounds.

A Uniquely Diverse, Novel And Interdisciplinary Symposium Designed For The
Pharmaceutical Chemist

Oct. 3-4, 1996                                                  To Register
Call:
Hotel  President Wilson                                       212-302-1800 (USA)
Geneva, Switzerland
[email-masked]